<template>
  <div class="main">
    <div class="client-form">
      <div class="edit-client w-full">
        <PageTitle/>
        <form class="w-full">
          <div class="form-row form-row-3">
            <label>
              <input
                placeholder="Nombre de questions :"
                type="number"
                min="0"
                max="3"
                v-model.trim="$v.game.questionsNumber.$model"
                class="form-input" :class="{ 'border-red-700': $v.game.questionsNumber.$error }">
              <span>Nombre de questions :</span>
            </label>

            <select
              v-model.trim="$v.game.difficulty.$model"
              class="form-select" :class="{ 'border-red-700': $v.game.difficulty.$error }">
              <option value="" disabled>Difficulté</option>
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
            </select>

            <select
              v-model.trim="$v.game.category.$model"
              class="form-select" :class="{ 'border-red-700': $v.game.category.$error }">
              <option value="" disabled>Catégorie</option>
              <option value="jeux vidéo">Jeux vidéo</option>
              <option value="politique">Politique</option>
              <option value="géographie">Géographie</option>
            </select>

          </div>
          <div class="form-submit">
            <button
              class="btn btn-red uppercase my-5"
              @click.prevent="handleSubmit">
              Valider
            </button>
          </div>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
import PageTitle from '@/components/commons/PageTitle'
import { required, minValue } from 'vuelidate/lib/validators'
import BackBtn from '@/components/commons/BackBtn'
import Vue from 'vue'

export default {
  components: {
    BackBtn,
    PageTitle
  },

  data: function () {
    return {
      game: {
        questionsNumber: '1',
        difficulty: '',
        category: '',
        score: 0,
        currentQuestionPosition: 0
      }
    }
  },

  computed: {},

  validations: {
    game: {
      questionsNumber: {
        required,
        minValue: minValue(0)
      },
      difficulty: {
        required
      },
      category: {
        required
      }
    }
  },

  methods: {
    async handleSubmit () {
      this.$v.$touch()
      if (!this.$v.$invalid) {
        await this.$store.commit('SET_GAME', this.game)
        await this.$store.dispatch('initGame')
        await this.$router.push({ name: 'game'})
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.client-form {
  @apply w-full mt-10;

  .edit-client {
    @apply flex flex-row justify-center items-center mt-6;
  }

  h1 {
    @apply my-8;
  }
}
</style>
